freenet.support.CPUInformation

## Class UnknownCPUException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - freenet.support.CPUInformation.UnknownCPUException

- All Implemented Interfaces:
    Serializable

      public class UnknownCPUException
      extends RuntimeException

  Author:
    Iakin
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownCPUException()`
    `UnknownCPUException(String message)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownCPUException

          public UnknownCPUException()

    - #### UnknownCPUException

          public UnknownCPUException(String message)